System.Design 2.0.0.0

Classes that implement the class are used by custom control designer components to provide lists of views in a data source for data-bound controls at design time. In a class that is derived from the , use the method to get an array of objects.

Defines a set of methods and properties used to examine a data source.

- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceViewSchema[]

  The class implements the interface. It uses its implementation of the method to create an array of objects.

  Gets an array representing the child views contained in the current view.

  An array of objects that represent the child views contained in the current view.

- Method
  2.0.0.0
  System.Web.UI.Design.IDataSourceFieldSchema[]

  The class implements the interface; its implementation of the method returns an array of objects, each of which derives from the interface.

  Gets an array containing information about each field in the data source.

  An array of objects representing each of the fields in the data source.

- Property
  2.0.0.0
  System.String To be added.

  For a object, this property corresponds to the property.

  Gets the name of the view.